function AISMN_WaitUntilTargetActive::OnEnter(%this,%obj)
{
   return;
}

function AISMN_WaitUntilTargetActive::OnExit(%this,%obj)
{
   return;
}

function AISMN_WaitUntilTargetActive::Update(%this,%obj)
{
	//Is the target active? Yes? Exit the node.
	%tar = GetParameterTarget(%obj);
	if(0 == %tar)
	{
		ReturnValue(%obj,0);
		return;
	}
	if(IsActive(%tar))
	{
		ReturnValue(%obj,1);
		return;
	}
   ReturnValue(%obj,-1);
   return;
}